curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/probate/filings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K7FL03IJ7T44HRYE78AN7NOP",
"filing_type": "petition",
"title": "Petition for Informal Probate",
"description": "<string>",
"filed_date": "2023-12-25",
"filed_by": "John Doe (Executor)",
"court_response": "pending",
"court_response_date": "2023-12-25",
"court_notes": "<string>",
"document_id": "<string>",
"fees_paid": 360,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}List all court filings for a case.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/probate/filings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K7FL03IJ7T44HRYE78AN7NOP",
"filing_type": "petition",
"title": "Petition for Informal Probate",
"description": "<string>",
"filed_date": "2023-12-25",
"filed_by": "John Doe (Executor)",
"court_response": "pending",
"court_response_date": "2023-12-25",
"court_notes": "<string>",
"document_id": "<string>",
"fees_paid": 360,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Page number for pagination.
x >= 1Number of items per page.
1 <= x <= 100petition, inventory, accounting, notice, motion, order, waiver, affidavit, deed, other accepted, rejected, pending